<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>PieceListener</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PieceListener";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PieceListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/MainButtonListener.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/PlayerButtonListener.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/PieceListener.html" target="_top">Frames</a></li>
<li><a href="PieceListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controler</div>
<h2 title="Class PieceListener" class="title">Class PieceListener</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.event.MouseAdapter</li>
<li>
<ul class="inheritance">
<li>controler.PieceListener</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">PieceListener</span>
extends java.awt.event.MouseAdapter
implements java.awt.event.MouseListener</pre>
<div class="block">This listener action the drag and drop on the playerPiece</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../controler/PieceListener.html#PieceListener(view.Blokus,%20controler.Game)">PieceListener</a></strong>(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
             <a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new piece listener.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#mouseDragged(java.awt.event.MouseEvent)">mouseDragged</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">This method update the position of this piece in the glassPane (when she is dragged).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#mouseExited(java.awt.event.MouseEvent)">mouseExited</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Execute the system of drag effect.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Execute the system of drag if the piece is not used.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#start()">start</a></strong>()</code>
<div class="block">Start this listener.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/PieceListener.html#stop()">stop</a></strong>()</code>
<div class="block">Stop this listener.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.event.MouseAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.event.MouseAdapter</h3>
<code>mouseMoved, mouseWheelMoved</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PieceListener(view.Blokus, controler.Game)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PieceListener</h4>
<pre>public&nbsp;PieceListener(<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
             <a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</pre>
<div class="block">Instantiates a new piece listener.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>blokus</code> - the blokus</dd><dd><code>game</code> - the game</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="stop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public&nbsp;void&nbsp;stop()</pre>
<div class="block">Stop this listener.</div>
</li>
</ul>
<a name="start()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>public&nbsp;void&nbsp;start()</pre>
<div class="block">Start this listener.</div>
</li>
</ul>
<a name="mousePressed(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mousePressed</h4>
<pre>public&nbsp;void&nbsp;mousePressed(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Execute the system of drag effect.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mousePressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>mousePressed</code>&nbsp;in class&nbsp;<code>java.awt.event.MouseAdapter</code></dd>
</dl>
</li>
</ul>
<a name="mouseReleased(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseReleased</h4>
<pre>public&nbsp;void&nbsp;mouseReleased(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Execute the system of drag if the piece is not used.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>mouseReleased</code>&nbsp;in class&nbsp;<code>java.awt.event.MouseAdapter</code></dd>
</dl>
</li>
</ul>
<a name="mouseDragged(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseDragged</h4>
<pre>public&nbsp;void&nbsp;mouseDragged(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">This method update the position of this piece in the glassPane (when she is dragged).</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseDragged</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>mouseDragged</code>&nbsp;in class&nbsp;<code>java.awt.event.MouseAdapter</code></dd>
</dl>
</li>
</ul>
<a name="mouseEntered(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseEntered</h4>
<pre>public&nbsp;void&nbsp;mouseEntered(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseEntered</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>mouseEntered</code>&nbsp;in class&nbsp;<code>java.awt.event.MouseAdapter</code></dd>
</dl>
</li>
</ul>
<a name="mouseExited(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseExited</h4>
<pre>public&nbsp;void&nbsp;mouseExited(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseExited</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>mouseExited</code>&nbsp;in class&nbsp;<code>java.awt.event.MouseAdapter</code></dd>
</dl>
</li>
</ul>
<a name="mouseClicked(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mouseClicked</h4>
<pre>public&nbsp;void&nbsp;mouseClicked(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseClicked</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>mouseClicked</code>&nbsp;in class&nbsp;<code>java.awt.event.MouseAdapter</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PieceListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/MainButtonListener.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/PlayerButtonListener.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/PieceListener.html" target="_top">Frames</a></li>
<li><a href="PieceListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
